EDIT - feature request #6316

bug # 6329 (New): improve display of media sources and annotations

display source references of media objects in media page
01/09/2017 11:34 AM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-dataportal Estimated time: 0:00 hour
Target version: Release 5.8

Severity: normal

Description

e The sources should be an ordinary attribute here, not integrated in any footnote or annotation framework
¢ Consider renaming of "Sources" into "Source(s)"

Associated revisions

Revision bb93d5d1 - 06/26/2019 04:46 PM - Andreas Kohlbecker

ref #6316 refactoring for cleaner original source code

Revision 27bceb70 - 06/26/2019 05:09 PM - Andreas Kohlbecker

ref #6316 fixing two layout issues:

e html was processes as plain text
¢ removing URI from titlecache when type is WebPage

Revision 20e02fff - 06/26/2019 05:50 PM - Andreas Kohlbecker
test for media page title ref #6709 and original source display ref #6316

Revision 44707ee3 - 06/26/2019 06:38 PM - Andreas Kohlbecker

ref #6316 refactoring for cleaner original source code - bug fix

Revision c021779a - 07/16/2019 05:07 PM - Andreas Kohlbecker

ref #6316 using ; as separator for multiple sources

History

#1 - 01/09/2017 11:36 AM - Andreas Kohlbecker

- Subject changed from display source references of media objects to display source references of media objects in media page

In the media page the display of sources is missing.

#2 - 01/18/2017 11:23 PM - Andreas Miiller

- Description updated

#3 - 03/10/2017 08:50 PM - Andreas Miuller

- Target version changed from Release 4.6 to Release 4.7

#4 - 05/17/2017 01:37 PM - Andreas Kohlbecker
- Parent task set to #6329

#5 - 05/17/2017 01:38 PM - Andreas Kohlbecker
- Description updated

- Target version changed from Release 4.7 to Release 4.8
#6 - 07/07/2017 09:20 AM - Andreas Kohlbecker

- Target version changed from Release 4.8 to Release 4.9

#7 - 07/17/2017 05:42 PM - Andreas Kohlbecker
- Description updated

#8 - 07/17/2017 05:44 PM - Andreas Kohlbecker
- Description updated

#9 - 07/21/2017 10:29 AM - Andreas Miiller

- Target version changed from Release 4.9 to Release 4.10

#10 - 09/24/2017 01:37 AM - Andreas Miiller

- Target version changed from Release 4.10 to Release 4.11

#11 - 11/08/2017 11:15 AM - Andreas Miiller

- Target version changed from Release 4.11 to Release 4.12

#12 - 12/05/2017 02:15 PM - Andreas Miiller

- Target version changed from Release 4.12 to Release 4.13

#13 - 01/31/2018 12:11 PM - Andreas Miiller

- Target version changed from Release 4.13 to Release 4.14

#14 - 02/15/2018 02:59 PM - Andreas Miiller

- Target version changed from Release 4.14 to Release 5.0

#15 - 05/16/2018 11:19 AM - Andreas Kohlbecker

- Target version changed from Release 5.0 to Release 5.1

#16 - 06/28/2018 12:12 AM - Andreas Miiller

- Target version changed from Release 5.1 to Release 5.2

#17 - 08/17/2018 03:54 PM - Andreas Kohlbecker

- Target version changed from Release 5.2 to Release 5.3

#18 - 09/06/2018 11:15 AM - Andreas Kohlbecker

- Target version changed from Release 5.3 to Release 5.4

#19 - 10/23/2018 01:04 PM - Andreas Kohlbecker

- Target version changed from Release 5.4 to Release 5.5

#20 - 01/30/2019 11:30 AM - Andreas Kohlbecker

- Target version changed from Release 5.5 to Release 5.6

#21 - 02/22/2019 05:25 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Unassigned CDM tickets

#22 - 02/23/2019 12:15 AM - Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.6

To me it looks like this is already implemented. | add to current milestone just to check. Either close+remove milestone or set back to unassigned.

#23 - 03/04/2019 11:50 AM - Andreas Kohlbecker
- Priority changed from New to Highest
#24 - 04/11/2019 05:37 PM - Andreas Kohlbecker

- Target version changed from Release 5.6 to Release 5.7

#25 - 05/03/2019 03:00 PM - Andreas Miiller

- Target version changed from Release 5.7 to Release 5.8

#26 - 06/26/2019 05:51 PM - Andreas Kohlbecker
- Status changed from New to Resolved

- Assignee changed from Andreas Kohlbecker to Andreas Miiller
done and also test implemented.

#27 - 06/27/2019 10:31 AM - Andreas Kohlbecker
- % Done changed from 0 to 70

#28 - 07/16/2019 02:55 PM - Andreas Miiller
- Status changed from Resolved to Feedback
- Assignee changed from Andreas Miiller to Andreas Kohlbecker

- % Done changed from 70 to 80

Generally this works. Only we should replace "," by ";" as separator for multiple sources. The former is often part of the title itself while the later is
rarely used in titles and therefore is better as separator.

Afterwards you may close the ticket.

#29 - 07/16/2019 05:13 PM - Andreas Kohlbecker
- Status changed from Feedback to Closed
- % Done changed from 80 to 100

using ; as separator for multiple sources: cdm-dataportal|c021779a
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/cdm-dataportal/revisions/c021779a67300e34178cb324fa87a8ed689d725b
http://www.tcpdf.org

